Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.xfire.transport
Class DelegatedTransport

    java.lang.Object
      org.codehaus.xfire.transport.DelegatedTransport

All Implemented Interfaces:
  HandlerSupport, ChannelFactory, Transport

    public class DelegatedTransport

extends java.lang.Object
implements Transport

Wraps another channel so it is easy to provide custom functionality to any transport - such as reliable messaging.

Author:
  Dan Diephouse

Constructor Summary
`DelegatedTransport(Transport transport)`

Method Summary
`Channel` | `createChannel()` Create a channel with a new unique URI.
`Channel` | `createChannel(java.lang.String uri)` Create a channel with a specified URI.
`void` | `dispose()`
`java.util.List` | `getFaultHandlers()`
`java.util.List` | `getInHandlers()`
`java.lang.String[]` | `getKnownUriSchemes()`
`java.lang.String` | `getName()`
`java.util.List` | `getOutHandlers()`
`Transport` | `getTransport()` The transport which this transport wraps.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DelegatedTransport

    public DelegatedTransport(Transport transport)

Method Detail

### getTransport

    public Transport getTransport()

  The transport which this transport wraps.

  Returns:

### getName

    public java.lang.String getName()

  Specified by:
    `getName` in interface `Transport`

### dispose

    public void dispose()

  Specified by:
    `dispose` in interface `Transport`

### createChannel

    public Channel createChannel()
                          throws java.lang.Exception

  Description copied from interface: `ChannelFactory`
  Create a channel with a new unique URI.

  Specified by:
    `createChannel` in interface `ChannelFactory`
  Returns:
    The channel.
  Throws:
    `java.lang.Exception` - Occurs if there was an exception creating or opening the channel.

### createChannel

    public Channel createChannel(java.lang.String uri)
                          throws java.lang.Exception

  Description copied from interface: `ChannelFactory`
  Create a channel with a specified URI.

  Specified by:
    `createChannel` in interface `ChannelFactory`
  Parameters:
    `uri` - The URI which represents this Channel's endpoint.
  Returns:
    The channel.
  Throws:
    `java.lang.Exception` - Occurs if there was an exception creating or opening the channel.

### getInHandlers

    public java.util.List getInHandlers()

  Specified by:
    `getInHandlers` in interface `HandlerSupport`

### getOutHandlers

    public java.util.List getOutHandlers()

  Specified by:
    `getOutHandlers` in interface `HandlerSupport`

### getFaultHandlers

    public java.util.List getFaultHandlers()

  Specified by:
    `getFaultHandlers` in interface `HandlerSupport`

### getKnownUriSchemes

    public java.lang.String[] getKnownUriSchemes()

  Specified by:
    `getKnownUriSchemes` in interface `Transport`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2005 Codehaus. All Rights Reserved.